## python-etesync 0.12.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#
appdirs==1.4.3            # via etesync (setup.py)
asn1crypto==0.24.0        # via etesync (setup.py)
attrs==19.1.0             # via packaging
certifi==2019.6.16        # via requests
cffi==1.12.3              # via cryptography, etesync (setup.py)
chardet==3.0.4            # via requests
cryptography==3.0         # via etesync (setup.py)
furl==2.0.0               # via etesync (setup.py)
idna==2.8                 # via etesync (setup.py), requests
orderedmultidict==1.0.1   # via etesync (setup.py), furl
packaging==19.1           # via etesync (setup.py)
peewee==3.10.0            # via etesync (setup.py)
py==1.8.0                 # via etesync (setup.py)
pyasn1==0.4.6             # via etesync (setup.py)
pycparser==2.19           # via cffi, etesync (setup.py)
pyparsing==2.4.2          # via etesync (setup.py), packaging
python-dateutil==2.8.0    # via etesync (setup.py), vobject
pytz==2019.2              # via etesync (setup.py)
requests==2.22.0          # via etesync (setup.py)
six==1.12.0               # via cryptography, etesync (setup.py), furl, orderedmultidict, packaging, python-dateutil
urllib3==1.25.3           # via requests
vobject==0.9.6.1          # via etesync (setup.py)

=== debian/changelog ===
python-etesync (0.12.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on RC-buggy python3-py

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 Oct 2025 09:18:05 +0200

python-etesync (0.12.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-appdirs (Closes: #1067991).

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Nov 2024 16:31:38 +0100

python-etesync (0.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-six.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Apr 2024 08:55:13 +0200

python-etesync (0.12.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * stop explicitly avoid integration tests during build (done upstream now)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Aug 2020 18:09:59 +0200

python-etesync (0.11.1-3) unstable; urgency=medium

  * simplify source script copyright-chceck
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.0
  * declare buildsystem explicitly (not in environment)
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Aug 2020 18:03:41 +0200

python-etesync (0.11.1-2) unstable; urgency=medium

  * avoid checking integration tests
  * stop tolerate test failures when targeting experimental
  * copyright: drop obsolete comment about vague licensing

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Apr 2020 15:54:53 +0200

python-etesync (0.11.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * stop build-depend on python3-scrypt
  * watch: use dversionmangle=auto
  * copyright: update coverage
  * fix build-depend on python3-cryptography python3-furl python3-peewee
    python3-pytest python3-requests python3-vobject
  * relax to depend unversioned on
    python3-appdirs python3-asn1crypto python3-cffi python3-furl
    python3-orderedmultidict python3-packaging python3-peewee
    python3-py python3-pyasn1 python3-pycparser
    python3-requests python3-six python3-vobject:
    needed version satisfied even in oldstable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Apr 2020 14:02:29 +0200

python-etesync (0.9.2-1) experimental; urgency=low

  * initial packaging release
    closes: bug#951234

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2020 15:02:29 +0100

=== debian/control ===
Source: python-etesync
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-cryptography (>=1.9) <!nocheck>,
 python3-furl <!nocheck>,
 python3-peewee <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-vobject <!nocheck>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/python-etesync.git
Vcs-Browser: https://salsa.debian.org/debian/python-etesync
Homepage: https://www.etesync.com/

Package: python3-etesync
Architecture: all
Depends:
 python3-asn1crypto,
 python3-cffi,
 python3-cryptography (>=1.9),
 python3-dateutil (>=2.6),
 python3-furl,
 python3-idna (>=2.5),
 python3-orderedmultidict,
 python3-packaging,
 python3-peewee,
 python3-platformdirs,
 python3-pyasn1,
 python3-pycparser,
 python3-pyparsing (>=2.2),
 python3-requests,
 python3-tz (>=2019.1),
 python3-vobject,
 ${misc:Depends},
 ${python3:Depends},
Description: python client library for EteSync
 pyetesync provides a python API to interact with an EteSync server.
 It currently implements AddressBook and Calendar access,
 and supports two-way sync (both push and pull) to the server.
 It doesn't currently implement pushing raw journal entries
 which are needed for people implementing new EteSync journal types
 which will be implemented soon.

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/etesync/pyetesync/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
